<?xml version="1.0" encoding="UTF-8"?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!--
  Maven setting for the gitlab CI pipelines...
  The file is pulled at group level and put into a file env variable
  This file env variable is injected directly into maven .m2 of maven jobs.
 -->
<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">
  <servers>
    <server>
      <id>squashtest-mirror</id>
      <username>$${env.MAVEN_INTERNAL_REPO_USERNAME}</username>
      <password>$${env.MAVEN_INTERNAL_REPO_PASSWORD}</password>
      <configuration>
        <httpConfiguration>
          <all>
            <usePreemptive>true</usePreemptive>
          </all>
        </httpConfiguration>
      </configuration>
    </server>

    <server>
      <id>squashtest-private</id>
      <username>$${env.MAVEN_INTERNAL_REPO_USERNAME}</username>
      <password>$${env.MAVEN_INTERNAL_REPO_PASSWORD}</password>
      <configuration>
        <httpConfiguration>
          <all>
            <usePreemptive>true</usePreemptive>
          </all>
        </httpConfiguration>
      </configuration>
    </server>

    <server>
      <id>squashtest-public</id>
      <username>$${env.MAVEN_INTERNAL_REPO_USERNAME}</username>
      <password>$${env.MAVEN_INTERNAL_REPO_PASSWORD}</password>
      <configuration>
        <httpConfiguration>
          <all>
            <usePreemptive>true</usePreemptive>
          </all>
        </httpConfiguration>
      </configuration>
    </server>

  </servers>
  <!-- MORT À L'EFFET POISSON ROUGE ! -->
  <mirrors>
    <mirror>
      <id>squashtest-mirror</id>
      <url>$${env.MAVEN_MIRROR_INTERNAL_REPO_URL}</url>
      <mirrorOf>*</mirrorOf>
    </mirror>
  </mirrors>
</settings>
